#!/bin/sh
echo 'name: HsOpenSSL
version: 0.10.3.3
id: HsOpenSSL-0.10.3.3-26ea87a80b1a5df8ed1c185e8c784300

license: PublicDomain
copyright:
maintainer: PHO <pho at cielonegro dot org>
stability: stable
homepage: https://github.com/phonohawk/HsOpenSSL
package-url:
synopsis: (Incomplete) OpenSSL binding for Haskell
description:  
             .
             HsOpenSSL is an OpenSSL binding for Haskell. It can generate RSA
             and DSA keys, read and write PEM files, generate message digests,
             sign and verify messages, encrypt and decrypt messages. It has
             also some capabilities of creating SSL clients and servers.
             .
             Please note that this project has started at the time when there
             were no pure-Haskell implementations of TLS. Now there is tls
             package (<http://hackage.haskell.org/package/tls>), which looks
             pretty saner than HsOpenSSL especially for initialisation and
             error handlings. So PHO (the initial author of HsOpenSSL) wants to
             encourage you to use and improve the tls package instead as long
             as possible. The only problem is that the tls package has not
             received as much review as OpenSSL from cryptography specialists
             yet, thus we can'\''t assume it'\''s secure enough.
             .
category: Cryptography
author: Adam Langley, Mikhail Vorozhtsov, PHO, Taru Karttunen
exposed: True
exposed-modules: OpenSSL OpenSSL.BN OpenSSL.EVP.Base64
                 OpenSSL.EVP.Cipher OpenSSL.EVP.Digest OpenSSL.EVP.Open
                 OpenSSL.EVP.PKey OpenSSL.EVP.Seal OpenSSL.EVP.Sign
                 OpenSSL.EVP.Verify OpenSSL.Cipher OpenSSL.PEM OpenSSL.PKCS7
                 OpenSSL.Random OpenSSL.DSA OpenSSL.RSA OpenSSL.X509
                 OpenSSL.X509.Revocation OpenSSL.X509.Request OpenSSL.X509.Store
                 OpenSSL.Session OpenSSL.DH
hidden-modules: OpenSSL.ASN1 OpenSSL.BIO OpenSSL.ERR
                OpenSSL.Objects OpenSSL.SSL OpenSSL.Stack OpenSSL.Utils
                OpenSSL.X509.Name OpenSSL.EVP.Internal OpenSSL.DH.Internal
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/HsOpenSSL-0.10.3.3
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/HsOpenSSL-0.10.3.3
              /usr/local/lib
hs-libraries: HSHsOpenSSL-0.10.3.3
extra-libraries: crypto ssl
extra-ghci-libraries:
include-dirs: /usr/local/include
              /usr/local/lib/cabal/ghc-7.6.3/HsOpenSSL-0.10.3.3/include
includes:
depends: base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         bytestring-0.10.0.2-59abd9894532f476aabac207680aae43
         ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd
         integer-gmp-0.5.0.0-2f15426f5b53fe4c6490832f9b20d8d7
         network-2.4.1.2-5be4ce21effbb1a11c3b90006afd63d9
         old-locale-1.0.0.5-6729cb9d9cc62d150655de8fc5401b91
         time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/HsOpenSSL-0.10.3.3/html/HsOpenSSL.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/HsOpenSSL-0.10.3.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
